from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.resource import XStringResourceManager

@runtime_checkable
class XStringResourcePersistence(XStringResourceManager, Protocol):
    def isModified(self) -> bool: ...
    def setComment(self, Comment: str) -> None: ...
    def exportBinary(self) -> list[int]: ...
